Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024062
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2013-06-13 09:422013-06-20 02:08
ReporterpramakrishnanView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision41b748890856
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024062: Not able to update invoice line

DescriptionWhen updating the invoice line, system throws the error "Saving failed. ERROR: null value in column "pricelimit" violates not-null constraint"
Steps To ReproduceNavigate to Sales invoice
Create header and save the record
Create an invoiceline in form and save the record
update the quantity in the invoice line in form
Notice that the system throws the error "Saving failed. ERROR: null value in column "pricelimit" violates not-null constraint"

If the record is created in the grid view, then updating the product in grid view throws the same error while updating the quantity does not throw any error.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00239363.0MP23 closedSandrahuguet Problems with product selector in sales and purchase invoice 

-  Notes
(0059427)
AugustoMauch (developer)
2013-06-13 17:48

There is a typo in the definition of the suffix of the Price Limit field of the Product Simple selector. It should be _PLIM, but is _PLM
(0059428)
hgbot (developer)
2013-06-13 18:12

Repository: erp/devel/pi
Changeset: 41b748890856f94988ef8043425be428dad961fc
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Jun 13 18:13:37 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/41b748890856f94988ef8043425be428dad961fc [^]

Fixed bug 24062 price limit suffix is wrong in product simple selector

---
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
---
(0059435)
dmiguelez (developer)
2013-06-14 11:08

Code Review + Testing Ok
(0059576)
hudsonbot (developer)
2013-06-20 02:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-06-13 09:42 pramakrishnan New Issue
2013-06-13 09:42 pramakrishnan Assigned To => dmiguelez
2013-06-13 09:42 pramakrishnan Web browser => Google Chrome
2013-06-13 09:42 pramakrishnan Modules => Core
2013-06-13 09:42 pramakrishnan Triggers an Emergency Pack => No
2013-06-13 10:10 pramakrishnan Web browser Google Chrome => Google Chrome
2013-06-13 10:10 pramakrishnan Assigned To dmiguelez => AugustoMauch
2013-06-13 10:10 pramakrishnan Category 03. Procurement management => A. Platform
2013-06-13 10:10 pramakrishnan Steps to Reproduce Updated View Revisions
2013-06-13 17:46 AugustoMauch Assigned To AugustoMauch => dmiguelez
2013-06-13 17:48 AugustoMauch Note Added: 0059427
2013-06-13 17:59 AugustoMauch Assigned To dmiguelez => Sandrahuguet
2013-06-13 18:12 hgbot Checkin
2013-06-13 18:12 hgbot Note Added: 0059428
2013-06-13 18:12 hgbot Status new => resolved
2013-06-13 18:12 hgbot Resolution open => fixed
2013-06-13 18:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/41b748890856f94988ef8043425be428dad961fc [^]
2013-06-13 18:42 Sandrahuguet Status resolved => new
2013-06-13 18:42 Sandrahuguet Resolution fixed => open
2013-06-13 18:42 Sandrahuguet Relationship added depends on 0023936
2013-06-13 18:42 Sandrahuguet Status new => scheduled
2013-06-13 18:42 Sandrahuguet fix_in_branch => pi
2013-06-13 18:42 Sandrahuguet Status scheduled => resolved
2013-06-13 18:42 Sandrahuguet Resolution open => fixed
2013-06-14 11:08 dmiguelez Note Added: 0059435
2013-06-14 11:08 dmiguelez Status resolved => closed
2013-06-20 02:08 hudsonbot Checkin
2013-06-20 02:08 hudsonbot Note Added: 0059576


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker